Index: src/mlx/acars.py
===================================================================
--- src/mlx/acars.py	(revision 919)
+++ src/mlx/acars.py	(revision 743)
@@ -1,4 +1,4 @@
 
-from . import const
+import const
 
 #------------------------------------------------------------------------------
Index: src/mlx/acft.py
===================================================================
--- src/mlx/acft.py	(revision 919)
+++ src/mlx/acft.py	(revision 905)
@@ -1,9 +1,9 @@
 
-from . import const
-from . import gates
-from . import checks
-from . import fs
-from .i18n import xstr
-from . import util
+import const
+import gates
+import checks
+import fs
+from i18n import xstr
+import util
 
 import sys
@@ -308,5 +308,5 @@
               ("-" if value is None else "enabled" if value else "disabled",)
         elif dt!=DERATE_NONE:
-            print("mlx.acft.getDerateLine: invalid derate type: " + dt)
+            print "mlx.acft.getDerateLine: invalid derate type: " + dt
 
         return None
@@ -343,5 +343,5 @@
                                   self._aircraftState, aircraftState)
                 except:
-                    print("Checker", checker, "failed", file=sys.stderr)
+                    print >> sys.stderr, "Checker", checker, "failed"
                     traceback.print_exc()
 
@@ -351,5 +351,5 @@
             self._minVS = min(self._minVS, aircraftState.vs)
         except:
-            print("Failed to handle the state", file=sys.stderr)
+            print >> sys.stderr, "Failed to handle the state"
             traceback.print_exc()
         finally:
@@ -403,5 +403,5 @@
                     self._logQNH(aircraftState)
             elif newStage==const.STAGE_GOAROUND:
-                from .logger import Logger
+                from logger import Logger
                 self._flight.handleFault("goaround",
                                          aircraftState.timestamp,
@@ -1284,47 +1284,47 @@
     value = SmoothedValue()
 
-    print("Adding 1, 12.0")
+    print "Adding 1, 12.0"
     value.add(1, 12.0)
-    print(value.get())
-
-    print("Adding 1, 15.0")
+    print value.get()
+
+    print "Adding 1, 15.0"
     value.add(1, 15.0)
-    print(value.get())
-
-    print("Adding 2, 18.0")
+    print value.get()
+
+    print "Adding 2, 18.0"
     value.add(2, 18.0)
-    print(value.get())
-
-    print("Adding 2, 20.0")
+    print value.get()
+
+    print "Adding 2, 20.0"
     value.add(2, 20.0)
-    print(value.get())
-
-    print("Adding 5, 22.0")
+    print value.get()
+
+    print "Adding 5, 22.0"
     value.add(5, 22.0)
-    print(value.get())
-
-    print("Adding 5, 25.0")
+    print value.get()
+
+    print "Adding 5, 25.0"
     value.add(5, 25.0)
-    print(value.get())
-
-    print("Adding 5, 29.0")
+    print value.get()
+
+    print "Adding 5, 29.0"
     value.add(5, 29.0)
-    print(value.get())
-
-    print("Adding 5, 21.0")
+    print value.get()
+
+    print "Adding 5, 21.0"
     value.add(5, 21.0)
-    print(value.get())
-
-    print("Adding 5, 26.0")
+    print value.get()
+
+    print "Adding 5, 26.0"
     value.add(5, 26.0)
-    print(value.get())
-
-    print("Adding 2, 30.0")
+    print value.get()
+
+    print "Adding 2, 30.0"
     value.add(2, 30.0)
-    print(value.get())
-
-    print("Adding 2, 55.0")
+    print value.get()
+
+    print "Adding 2, 55.0"
     value.add(2, 55.0)
-    print(value.get())
-
-#---------------------------------------------------------------------------------------
+    print value.get()
+
+#---------------------------------------------------------------------------------------
Index: src/mlx/airports.py
===================================================================
--- src/mlx/airports.py	(revision 919)
+++ src/mlx/airports.py	(revision 325)
@@ -88,11 +88,11 @@
 
 if __name__ == "__main__":
-    for (town, airport) in airportNames.values():
-        print(town, airport)
-    print(getWelcomeMessage("LIRF"))
-    print(getWelcomeMessage("LHDC"))
-    print(getWelcomeMessage("LIRN"))
-    print(getWelcomeMessage("LHBP"))
-    print(getWelcomeMessage("EDDF"))
+    for (town, airport) in airportNames.itervalues():
+        print town, airport
+    print getWelcomeMessage("LIRF")
+    print getWelcomeMessage("LHDC")
+    print getWelcomeMessage("LIRN")
+    print getWelcomeMessage("LHBP")
+    print getWelcomeMessage("EDDF")
 
 #-----------------------------------------------------------------------------
Index: src/mlx/checks.py
===================================================================
--- src/mlx/checks.py	(revision 919)
+++ src/mlx/checks.py	(revision 912)
@@ -1,8 +1,8 @@
 
-from . import fs
-from . import const
-from . import util
-from .acars import ACARS
-from .sound import startSound
+import fs
+import const
+import util
+from acars import ACARS
+from sound import startSound
 
 import time
@@ -129,9 +129,9 @@
         """Callback for ACARS sending."""
         if returned:
-            print("Sent online ACARS")
+            print "Sent online ACARS"
             self._lastSent = time.time() if self._lastSent is None \
                              else self._lastSent + ACARSSender.INTERVAL
         else:
-            print("Failed to send the ACARS")
+            print "Failed to send the ACARS"
         self._sending = False
 
@@ -517,6 +517,6 @@
     def getMessage(logName, frequency, obs):
         """Get the message for the given NAV radio setting."""
-        message = "%-5s %s" % (logName + ":", frequency)
-        if obs is not None: message += " (%03d\u00b0)" % (obs,)
+        message = u"%-5s %s" % (logName + ":", frequency)
+        if obs is not None: message += u" (%03d\u00b0)" % (obs,)
         return message
 
@@ -747,7 +747,7 @@
         message = what
         if value is None:
-            message += " cannot be detected, will not log"
+            message += u" cannot be detected, will not log"
         else:
-            message += ": " + format % (value,)
+            message += u": " + format % (value,)
         logger.message(timestamp, message)
 
@@ -767,6 +767,6 @@
     def _logAPHeading(logger, timestamp, state):
         """Log the AP heading."""
-        APLogger._logNumeric(logger, timestamp, "AP heading",
-                             "%03.0f\u00b0", state.apHeading)
+        APLogger._logNumeric(logger, timestamp, u"AP heading",
+                             u"%03.0f\u00b0", state.apHeading)
 
     @staticmethod
@@ -779,6 +779,6 @@
     def _logAPAltitude(logger, timestamp, state):
         """Log the AP heading."""
-        APLogger._logNumeric(logger, timestamp, "AP altitude",
-                             "%.0f ft", state.apAltitude)
+        APLogger._logNumeric(logger, timestamp, u"AP altitude",
+                             u"%.0f ft", state.apAltitude)
 
     def __init__(self):
Index: src/mlx/common.py
===================================================================
--- src/mlx/common.py	(revision 942)
+++ src/mlx/common.py	(revision 800)
@@ -22,10 +22,11 @@
 #-------------------------------------------------------------------------------
 
-if "FORCE_PYGTK" in os.environ:
-    print("Using PyGTK")
+# Due to CEF, PyGTK is the default
+if "FORCE_PYGOBJECT" not in os.environ:
+    print "Using PyGTK"
     pygobject = False
     import gobject
 else:
-    print("Using PyGObject")
+    print "Using PyGObject"
     pygobject = True
 
Index: src/mlx/config.py
===================================================================
--- src/mlx/config.py	(revision 919)
+++ src/mlx/config.py	(revision 738)
@@ -1,11 +1,11 @@
 # -*- encoding: utf-8 -*-
 
-from . import const
-from .util import secondaryInstallation, utf2unicode
+import const
+from util import secondaryInstallation, utf2unicode
 
 import os
 import sys
 import traceback
-import configparser
+import ConfigParser
 
 ## @package mlx.config
@@ -163,5 +163,5 @@
         baseName = "callouts." + const.icaoCodes[aircraftType] + "."
         index = 0
-        for (altitude, path) in self._mapping.items():
+        for (altitude, path) in self._mapping.iteritems():
             option = baseName + str(index)
             config.set(ApproachCallouts.SECTION, option,
@@ -171,9 +171,9 @@
     def getAltitudes(self, descending = True):
         """Get the altitudes in decreasing order by default."""
-        altitudes = list(self._mapping.keys())
+        altitudes = self._mapping.keys()
         altitudes.sort(reverse = descending)
         return altitudes
 
-    def __bool__(self):
+    def __nonzero__(self):
         """Return if there is anything in the mapping."""
         return not not self._mapping
@@ -704,5 +704,5 @@
         """Load the configuration from its default location."""
         try:
-            config = configparser.RawConfigParser()
+            config = ConfigParser.RawConfigParser()
             config.read(configPath)
         except:
@@ -806,5 +806,5 @@
             return
 
-        config = configparser.RawConfigParser()
+        config = ConfigParser.RawConfigParser()
 
         config.add_section("login")
@@ -892,15 +892,15 @@
         try:
             fd = os.open(configPath, os.O_CREAT|os.O_TRUNC|os.O_WRONLY,
-                         0o600)
+                         0600)
             with os.fdopen(fd, "wt") as f:
                 config.write(f)
             self._modified = False
 
-            print("Configuration saved:")
+            print "Configuration saved:"
             self.log()
 
-        except Exception as e:
-            print("Failed to update config: " + \
-                                 utf2unicode(str(e)), file=sys.stderr)
+        except Exception, e:
+            print >> sys.stderr, "Failed to update config: " + \
+                                 utf2unicode(str(e))
 
     def _getBoolean(self, config, section, option, default):
@@ -945,5 +945,5 @@
         import locale
         if self._language:
-            print("Setting up locale for", self._language)
+            print "Setting up locale for", self._language
             os.environ["LANGUAGE"] = self._language
             langAndEncoding = self._language + "." + locale.getpreferredencoding()
@@ -978,62 +978,62 @@
     def log(self):
         """Log the configuration by printing the values"""
-        print("  pilot ID:", self._pilotID)
-        print("  rememberPassword:", self._rememberPassword)
-
-        print("  language:", self._language)
-
-        print("  hideMinimizedWindow:", self._hideMinimizedWindow)
-        print("  quitOnClose:", self._quitOnClose)
-
-        print("  onlineGateSystem:", self._onlineGateSystem)
-        print("  onlineACARS:", self._onlineACARS)
-
-        print("  flareTimeFromFS:", self._flareTimeFromFS)
-        print("  syncFSTime:", self._syncFSTime)
-        print("  usingFS2Crew:", self._usingFS2Crew)
-
-        print("  iasSmoothingLength:", self._iasSmoothingLength)
-        print("  vsSmoothingLength:", self._vsSmoothingLength)
-
-        print("  useSimBrief:", self._useSimBrief)
-        print("  simBriefUserName:", self._simBriefUserName)
-        print("  rememberSimBriefPassword:", self._rememberSimBriefPassword)
-
-        print("  pirepDirectory:", self._pirepDirectory)
-        print("  pirepAutoSave:", self._pirepAutoSave)
-
-        print("  defaultMSFS:", self._defaultMSFS)
-
-        print("  enableSounds:", self._enableSounds)
-
-        print("  pilotControlsSounds:", self._pilotControlsSounds)
-        print("  pilotHotkey:", str(self._pilotHotkey))
-
-        print("  enableApproachCallouts:", self._enableApproachCallouts)
-        print("  speedbrakeAtTD:", self._speedbrakeAtTD)
-
-        print("  enableChecklists:", self._enableChecklists)
-        print("  checklistHotkey:", str(self._checklistHotkey))
-
-        print("  autoUpdate:", self._autoUpdate)
-        print("  updateURL:", self._updateURL)
-        print("  useRPC:", self._useRPC)
-
-        print("  messageTypeLevels:")
-        for (type, level) in self._messageTypeLevels.items():
-            print("    %s: %s" % (const.messageType2string(type),
-                                  const.messageLevel2string(level)))
-
-        print("  checklists:")
-        for (type, checklist) in self._checklists.items():
-            print("    %s:" % (const.icaoCodes[type],))
+        print "  pilot ID:", self._pilotID
+        print "  rememberPassword:", self._rememberPassword
+
+        print "  language:", self._language
+
+        print "  hideMinimizedWindow:", self._hideMinimizedWindow
+        print "  quitOnClose:", self._quitOnClose
+
+        print "  onlineGateSystem:", self._onlineGateSystem
+        print "  onlineACARS:", self._onlineACARS
+
+        print "  flareTimeFromFS:", self._flareTimeFromFS
+        print "  syncFSTime:", self._syncFSTime
+        print "  usingFS2Crew:", self._usingFS2Crew
+
+        print "  iasSmoothingLength:", self._iasSmoothingLength
+        print "  vsSmoothingLength:", self._vsSmoothingLength
+
+        print "  useSimBrief:", self._useSimBrief
+        print "  simBriefUserName:", self._simBriefUserName
+        print "  rememberSimBriefPassword:", self._rememberSimBriefPassword
+
+        print "  pirepDirectory:", self._pirepDirectory
+        print "  pirepAutoSave:", self._pirepAutoSave
+
+        print "  defaultMSFS:", self._defaultMSFS
+
+        print "  enableSounds:", self._enableSounds
+
+        print "  pilotControlsSounds:", self._pilotControlsSounds
+        print "  pilotHotkey:", str(self._pilotHotkey)
+
+        print "  enableApproachCallouts:", self._enableApproachCallouts
+        print "  speedbrakeAtTD:", self._speedbrakeAtTD
+
+        print "  enableChecklists:", self._enableChecklists
+        print "  checklistHotkey:", str(self._checklistHotkey)
+
+        print "  autoUpdate:", self._autoUpdate
+        print "  updateURL:", self._updateURL
+        print "  useRPC:", self._useRPC
+
+        print "  messageTypeLevels:"
+        for (type, level) in self._messageTypeLevels.iteritems():
+            print "    %s: %s" % (const.messageType2string(type),
+                                  const.messageLevel2string(level))
+
+        print "  checklists:"
+        for (type, checklist) in self._checklists.iteritems():
+            print "    %s:" % (const.icaoCodes[type],)
             for path in checklist:
-                print("      " + path)
-
-        print("  approachCallouts:")
-        for (type, approachCallouts) in self._approachCallouts.items():
-            print("    %s:" % (const.icaoCodes[type],))
+                print "      " + path
+
+        print "  approachCallouts:"
+        for (type, approachCallouts) in self._approachCallouts.iteritems():
+            print "    %s:" % (const.icaoCodes[type],)
             for (altitude, path) in approachCallouts:
-                print("      %d: %s" % (altitude, path))
+                print "      %d: %s" % (altitude, path)
 
 #-------------------------------------------------------------------------------
Index: src/mlx/const.py
===================================================================
--- src/mlx/const.py	(revision 941)
+++ src/mlx/const.py	(revision 911)
@@ -12,5 +12,5 @@
 
 ## The version of the program
-VERSION="0.39.6-py3"
+VERSION="0.39.6"
 
 #-------------------------------------------------------------------------------
@@ -193,5 +193,5 @@
 def aircraftType2Family(aircraftType):
     """Get the family for the given aircraft type."""
-    for (family, types) in aircraftFamily2Types.items():
+    for (family, types) in aircraftFamily2Types.iteritems():
         if aircraftType in types:
             return family
@@ -424,5 +424,5 @@
 def string2messageLevel(str):
     """Get the message level for the given string."""
-    for (value, s) in _messageLevelStrings.items():
+    for (value, s) in _messageLevelStrings.iteritems():
         if str==s:
             return value
Index: src/mlx/flight.py
===================================================================
--- src/mlx/flight.py	(revision 919)
+++ src/mlx/flight.py	(revision 846)
@@ -1,8 +1,8 @@
 
-from .soundsched import SoundScheduler, ChecklistScheduler
-from .checks import SpeedChecker
-
-from . import const
-from . import util
+from soundsched import SoundScheduler, ChecklistScheduler
+from checks import SpeedChecker
+
+import const
+import util
 import time
 
Index: src/mlx/fs.py
===================================================================
--- src/mlx/fs.py	(revision 919)
+++ src/mlx/fs.py	(revision 909)
@@ -1,10 +1,10 @@
 
-from . import const
-from .sound import startSound
+import const
+from sound import startSound
 
 import os
 
-from . import fsuipc
-from . import xplane
+import fsuipc
+import xplane
 
 import threading
@@ -36,13 +36,13 @@
         """Called when a connection has been established to the flight
         simulator of the given type."""
-        print("fs.ConnectionListener.connected, fsType:", fsType, ", descriptor:", descriptor)
+        print "fs.ConnectionListener.connected, fsType:", fsType, ", descriptor:", descriptor
 
     def connectionFailed(self):
         """Called when the connection could not be established."""
-        print("fs.ConnectionListener.connectionFailed")
+        print "fs.ConnectionListener.connectionFailed"
 
     def disconnected(self):
         """Called when a connection to the flight simulator has been broken."""
-        print("fs.ConnectionListener.disconnected")
+        print "fs.ConnectionListener.disconnected"
 
 #-------------------------------------------------------------------------------
Index: src/mlx/fsuipc.py
===================================================================
--- src/mlx/fsuipc.py	(revision 922)
+++ src/mlx/fsuipc.py	(revision 877)
@@ -1,8 +1,8 @@
 
-from . import fs
-from . import const
-from . import util
-from . import acft
-from .watchdog import Watchdog
+import fs
+import const
+import util
+import acft
+from watchdog import Watchdog
 
 import threading
@@ -13,10 +13,9 @@
 import codecs
 import math
-from functools import total_ordering
 
 if os.name == "nt" and "FORCE_PYUIPC_SIM" not in os.environ:
     import pyuipc
 else:
-    from . import pyuipc_sim as pyuipc
+    import pyuipc_sim as pyuipc
 
 #------------------------------------------------------------------------------
@@ -105,6 +104,6 @@
         try:
             return fun()
-        except Exception as e:
-            print(util.utf2unicode(str(e)), file=sys.stderr)
+        except Exception, e:
+            print >> sys.stderr, util.utf2unicode(str(e))
             return None
 
@@ -134,5 +133,5 @@
             try:
                 values = pyuipc.read(data)
-            except TypeError as e:
+            except TypeError, e:
                 exception = e
 
@@ -175,5 +174,5 @@
                 try:
                     pyuipc.write(self._data)
-                except TypeError as e:
+                except TypeError, e:
                     exception = e
 
@@ -198,5 +197,4 @@
                 Handler._callSafe(lambda: self._callback(None, self._extra))
 
-    @total_ordering
     class PeriodicRequest(object):
         """A periodic request."""
@@ -252,15 +250,8 @@
             pass
 
-        def __eq__(self, other):
-            """Equality comparison by the firing times"""
-            return self._nextFire == other._nextFire
-
-        def __ne__(self, other):
-            """Non-equality comparison by the firing times"""
-            return self._nextFire != other._nextFire
-
-        def __lt__(self, other):
-            """Less-than comparison by the firing times"""
-            return self._nextFire < other._nextFire
+        def __cmp__(self, other):
+            """Compare two periodic requests. They are ordered by their next
+            firing times."""
+            return cmp(self._nextFire, other._nextFire)
 
     def __init__(self, connectionListener,
@@ -429,8 +420,8 @@
                 self._connected = True
                 return attempts
-            except Exception as e:
-                print("fsuipc.Handler._connect: connection failed: " + \
+            except Exception, e:
+                print "fsuipc.Handler._connect: connection failed: " + \
                       util.utf2unicode(str(e)) + \
-                      " (attempts: %d)" % (attempts,))
+                      " (attempts: %d)" % (attempts,)
                 if attempts<self.NUM_CONNECTATTEMPTS:
                     time.sleep(self.CONNECT_INTERVAL)
@@ -463,5 +454,5 @@
     def _disconnect(self):
         """Disconnect from the flight simulator."""
-        print("fsuipc.Handler._disconnect")
+        print "fsuipc.Handler._disconnect"
         if self._connected:
             pyuipc.close()
@@ -488,16 +479,16 @@
             try:
                 if not request.process(time):
-                    print("fsuipc.Handler._processRequest: FSUIPC returned invalid data too many times, reconnecting")
+                    print "fsuipc.Handler._processRequest: FSUIPC returned invalid data too many times, reconnecting"
                     needReconnect = True
             except TypeError as e:
-                print("fsuipc.Handler._processRequest: type error: " + \
+                print "fsuipc.Handler._processRequest: type error: " + \
                       util.utf2unicode(str(e)) + \
                       ("." if request.unimportant else
-                       (", reconnecting (attempts=%d)." % (attempts,))))
+                       (", reconnecting (attempts=%d)." % (attempts,)))
                 needReconnect = not request.unimportant
             except Exception as e:
-                print("fsuipc.Handler._processRequest: FSUIPC connection failed (" + \
+                print "fsuipc.Handler._processRequest: FSUIPC connection failed (" + \
                       util.utf2unicode(str(e)) + \
-                      "), reconnecting (attempts=%d)." % (attempts,))
+                      "), reconnecting (attempts=%d)." % (attempts,)
                 needReconnect = True
 
@@ -732,5 +723,5 @@
         duration is the number of seconds to keep the message displayed."""
 
-        print("fsuipc.Simulator.sendMessage:", message)
+        print "fsuipc.Simulator.sendMessage:", message
 
         if self._scroll:
@@ -741,6 +732,6 @@
         try:
             message = str(message)
-        except Exception as e:
-            print("fsuipc.Simulator.sendMessage: failed to convert the message to a string:", e)
+        except Exception, e:
+            print "fsuipc.Simulator.sendMessage: failed to convert the message to a string:", e
 
         data = [(0x3380, -1 - len(message), message),
@@ -831,5 +822,5 @@
         assert not self._monitoringRequested
 
-        print("fsuipc.Simulator.disconnect", closingMessage, duration)
+        print "fsuipc.Simulator.disconnect", closingMessage, duration
 
         self._stopNormal()
@@ -962,6 +953,6 @@
             return False
 
-        print("fsuipc.Simulator: new aircraft name and air file path: %s, %s" % \
-              (name, airPath))
+        print "fsuipc.Simulator: new aircraft name and air file path: %s, %s" % \
+              (name, airPath)
 
         self._aircraftName = aircraftName
@@ -1097,11 +1088,10 @@
             self._handler.disconnect()
 
-    def _handleNumHotkeys(self, data, xxx_todo_changeme5):
+    def _handleNumHotkeys(self, data, (id, generation)):
         """Handle the result of the query of the number of hotkeys"""
-        (id, generation) = xxx_todo_changeme5
         with self._hotkeyLock:
             if id==self._hotkeySetID and generation==self._hotkeySetGeneration:
                 numHotkeys = data[0]
-                print("fsuipc.Simulator._handleNumHotkeys: numHotkeys:", numHotkeys)
+                print "fsuipc.Simulator._handleNumHotkeys: numHotkeys:", numHotkeys
                 data = [(0x3210 + i*4, "d") for i in range(0, numHotkeys)]
                 self._handler.requestRead(data, self._handleHotkeyTable,
@@ -1145,11 +1135,10 @@
 
         for offset in oldHotkeyOffsets:
-            writeData.append((offset, "u", int(0)))
+            writeData.append((offset, "u", long(0)))
 
         return writeData
 
-    def _handleHotkeyTable(self, data, xxx_todo_changeme6):
+    def _handleHotkeyTable(self, data, (id, generation)):
         """Handle the result of the query of the hotkey table."""
-        (id, generation) = xxx_todo_changeme6
         with self._hotkeyLock:
             if id==self._hotkeySetID and generation==self._hotkeySetGeneration:
@@ -1159,7 +1148,6 @@
                                            (id, generation))
 
-    def _handleHotkeysWritten(self, success, xxx_todo_changeme7):
+    def _handleHotkeysWritten(self, success, (id, generation)):
         """Handle the result of the hotkeys having been written."""
-        (id, generation) = xxx_todo_changeme7
         with self._hotkeyLock:
             if success and id==self._hotkeySetID and \
@@ -1172,7 +1160,6 @@
                                                       (id, generation))
 
-    def _handleHotkeys(self, data, xxx_todo_changeme8):
+    def _handleHotkeys(self, data, (id, generation)):
         """Handle the hotkeys."""
-        (id, generation) = xxx_todo_changeme8
         with self._hotkeyLock:
             if id!=self._hotkeySetID or generation!=self._hotkeySetGeneration:
@@ -1410,7 +1397,7 @@
 
         numNotchesM1 = len(self._flapsNotches) - 1
-        flapsIncrement = 16383 // numNotchesM1
+        flapsIncrement = 16383 / numNotchesM1
         flapsControl = data[self._monidx_flapsControl]
-        flapsIndex = flapsControl // flapsIncrement
+        flapsIndex = flapsControl / flapsIncrement
         if flapsIndex < numNotchesM1:
             if (flapsControl - (flapsIndex*flapsIncrement) >
@@ -1419,8 +1406,8 @@
         state.flapsSet = self._flapsNotches[flapsIndex]
         if state.flapsSet != self._flapsSet:
-            print("flapsControl: %d, flapsLeft: %d, flapsRight: %d, flapsAxis: %d, flapsIncrement: %d, flapsSet: %d, numNotchesM1: %d" % \
+            print "flapsControl: %d, flapsLeft: %d, flapsRight: %d, flapsAxis: %d, flapsIncrement: %d, flapsSet: %d, numNotchesM1: %d" % \
                   (flapsControl, data[self._monidx_flapsLeft],
                    data[self._monidx_flapsRight], data[self._monidx_flapsAxis],
-                   data[self._monidx_flapsIncrement], state.flapsSet, numNotchesM1))
+                   data[self._monidx_flapsIncrement], state.flapsSet, numNotchesM1)
             self._flapsSet = state.flapsSet
 
@@ -1601,5 +1588,5 @@
         for (tank, level) in levels:
             offset = _tank2offset[tank]
-            value = int(level * 128.0 * 65536.0)
+            value = long(level * 128.0 * 65536.0)
             data.append( (offset, "u", value) )
 
@@ -1711,8 +1698,7 @@
     """A model handler for the PMDG Boeing 737NG model."""
     @staticmethod
-    def doesHandle(aircraft, xxx_todo_changeme):
+    def doesHandle(aircraft, (name, airPath)):
         """Determine if this model handler handles the aircraft with the given
         name."""
-        (name, airPath) = xxx_todo_changeme
         return aircraft.type in [const.AIRCRAFT_B736,
                                  const.AIRCRAFT_B737,
@@ -1744,6 +1730,6 @@
 
         if fsType==const.SIM_MSFSX or fsType==const.SIM_P3D:
-            print("%s detected, adding PMDG 737 NGX-specific offsets" % \
-                  ("FSX" if fsType==const.SIM_MSFSX else "P3D",))
+            print "%s detected, adding PMDG 737 NGX-specific offsets" % \
+                  ("FSX" if fsType==const.SIM_MSFSX else "P3D",)
             self._addOffsetWithIndexMember(data, 0x6500, "b",
                                            "_pmdgidx_lts_positionsw")
@@ -1755,5 +1741,5 @@
             self._addOffsetWithIndexMember(data, 0x65cd, "b", "_pmdgidx_xpdr")
         else:
-            print("FS9 detected, adding PMDG 737 NG-specific offsets")
+            print "FS9 detected, adding PMDG 737 NG-specific offsets"
             self._addOffsetWithIndexMember(data, 0x6202, "b", "_pmdgidx_switches")
             self._addOffsetWithIndexMember(data, 0x6216, "b", "_pmdgidx_xpdr")
@@ -1800,5 +1786,5 @@
 
         if gearControl!=self._lastGearControl or noseGear!=self._lastNoseGear:
-            print("gearControl:", gearControl, " noseGear:", noseGear)
+            print "gearControl:", gearControl, " noseGear:", noseGear
             self._lastGearControl = gearControl
             self._lastNoseGear = noseGear
@@ -1847,8 +1833,7 @@
     """Model handler for the Dreamwings Dash 8-Q400."""
     @staticmethod
-    def doesHandle(aircraft, xxx_todo_changeme1):
+    def doesHandle(aircraft, (name, airPath)):
         """Determine if this model handler handles the aircraft with the given
         name."""
-        (name, airPath) = xxx_todo_changeme1
         return aircraft.type==const.AIRCRAFT_DH8D and \
             (name.find("Dreamwings")!=-1 or airPath.find("Dreamwings")!=-1) and \
@@ -1885,8 +1870,7 @@
     """Model handler for the Majestic Dash 8-Q400."""
     @staticmethod
-    def doesHandle(aircraft, xxx_todo_changeme2):
+    def doesHandle(aircraft, (name, airPath)):
         """Determine if this model handler handles the aircraft with the given
         name."""
-        (name, airPath) = xxx_todo_changeme2
         return aircraft.type==const.AIRCRAFT_DH8D and \
             (name.find("MJC8Q400")!=-1 or \
@@ -1964,8 +1948,7 @@
     """Model for the Digital Aviation F70 implementation on FS9."""
     @staticmethod
-    def doesHandle(aircraft, xxx_todo_changeme3):
+    def doesHandle(aircraft, (name, airPath)):
         """Determine if this model handler handles the aircraft with the given
         name."""
-        (name, airPath) = xxx_todo_changeme3
         return aircraft.type == const.AIRCRAFT_F70 and \
                (airPath.endswith("fokker70_2k4_v4.1.air") or
@@ -2154,9 +2137,8 @@
     """Project Tupolev Tu-154."""
     @staticmethod
-    def doesHandle(aircraft, xxx_todo_changeme4):
+    def doesHandle(aircraft, (name, airPath)):
         """Determine if this model handler handles the aircraft with the given
         name."""
-        (name, airPath) = xxx_todo_changeme4
-        print("PTT154Model.doesHandle", aircraft.type, name, airPath)
+        print "PTT154Model.doesHandle", aircraft.type, name, airPath
         return aircraft.type==const.AIRCRAFT_T154 and \
                (name.find("Tu-154")!=-1 or name.find("Tu154B")!=-1) and \
Index: src/mlx/gui/acars.py
===================================================================
--- src/mlx/gui/acars.py	(revision 919)
+++ src/mlx/gui/acars.py	(revision 747)
@@ -1,9 +1,9 @@
 
-from .common import *
+from common import *
 
 from mlx.i18n import xstr
 import mlx.const as const
 
-from . import cef
+import cef
 
 #------------------------------------------------------------------------------
Index: src/mlx/gui/bugreport.py
===================================================================
--- src/mlx/gui/bugreport.py	(revision 919)
+++ src/mlx/gui/bugreport.py	(revision 492)
@@ -1,4 +1,4 @@
 
-from .common import *
+from common import *
 
 from mlx.i18n import xstr
@@ -105,5 +105,5 @@
         response = super(BugReportDialog, self).run()
 
-        print("response", response, RESPONSETYPE_ACCEPT)
+        print "response", response, RESPONSETYPE_ACCEPT
         if response==RESPONSETYPE_ACCEPT:
             self._send()
